MBeanUtil (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.management

## Class MBeanUtil

- java.lang.Object
- - org.apache.geode.management.MBeanUtil

-     public class MBeanUtil
      extends java.lang.Object

  Utility test class to get various proxies

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.management.MBeanServer` | `mbeanServer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBeanUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsyncEventQueueMXBean` | `getAsyncEventQueueMBeanProxy(DistributedMember member, java.lang.String queueId)` Utility Method to obtain AsyncEventQueueMXBean proxy reference for a particular queue id on a member
    `static CacheServerMXBean` | `getCacheServerMbeanProxy(DistributedMember member, int port)` Utility Method to obtain CacheServerMXBean proxy reference for a particular Member
    `static DistributedLockServiceMXBean` | `getDistributedLockMbean(java.lang.String lockServiceName, int expectedMembers)` Utility Method to obtain DistributedRegionMXBean proxy reference for a particular region
    `static DistributedRegionMXBean` | `getDistributedRegionMbean(java.lang.String regionName, int expectedMembers)` Utility Method to obtain DistributedRegionMXBean proxy reference for a particular region
    `static GatewayReceiverMXBean` | `getGatewayReceiverMbeanProxy(DistributedMember member)` Utility Method to obtain GatewayReceiverMXBean proxy reference for a member
    `static GatewaySenderMXBean` | `getGatewaySenderMbeanProxy(DistributedMember member, java.lang.String gatwaySenderId)` Utility Method to obtain GatewaySenderMXBean proxy reference for a particular sender id on a member
    `static LocatorMXBean` | `getLocatorMbeanProxy(DistributedMember member)` Utility Method to obtain GatewayReceiverMXBean proxy reference for a member
    `static LockServiceMXBean` | `getLockServiceMbeanProxy(DistributedMember member, java.lang.String lockServiceName)` Utility Method to obtain LockServiceMXBean proxy reference for a particular lock service on a Member
    `static MemberMXBean` | `getMemberMbeanProxy(DistributedMember member)` Utility Method to obtain MemberMXBean proxy reference for a particular Member
    `static RegionMXBean` | `getRegionMbeanProxy(DistributedMember member, java.lang.String regionPath)` Utility Method to obtain RegionMXBean proxy reference for a particular region on a member
    `static void` | `printBeanDetails(javax.management.ObjectName objName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mbeanServer

          public static javax.management.MBeanServer mbeanServer

  - ### Constructor Detail

    - #### MBeanUtil

          public MBeanUtil()

  - ### Method Detail

    - #### getMemberMbeanProxy

          public static MemberMXBean getMemberMbeanProxy(DistributedMember member)
                                                  throws java.lang.Exception

      Utility Method to obtain MemberMXBean proxy reference for a particular Member
      Returns:
        a reference to MemberMXBean
      Throws:
        `java.lang.Exception`

    - #### getCacheServerMbeanProxy

          public static CacheServerMXBean getCacheServerMbeanProxy(DistributedMember member,
                                                                   int port)
                                                            throws java.lang.Exception

      Utility Method to obtain CacheServerMXBean proxy reference for a particular Member
      Returns:
        a reference to CacheServerMXBean
      Throws:
        `java.lang.Exception`

    - #### getLockServiceMbeanProxy

          public static LockServiceMXBean getLockServiceMbeanProxy(DistributedMember member,
                                                                   java.lang.String lockServiceName)
                                                            throws java.lang.Exception

      Utility Method to obtain LockServiceMXBean proxy reference for a particular lock service on a Member
      Returns:
        a reference to LockServiceMXBean
      Throws:
        `java.lang.Exception`

    - #### getRegionMbeanProxy

          public static RegionMXBean getRegionMbeanProxy(DistributedMember member,
                                                         java.lang.String regionPath)
                                                  throws java.lang.Exception

      Utility Method to obtain RegionMXBean proxy reference for a particular region on a member
      Returns:
        a reference to RegionMXBean
      Throws:
        `java.lang.Exception`

    - #### getGatewaySenderMbeanProxy

          public static GatewaySenderMXBean getGatewaySenderMbeanProxy(DistributedMember member,
                                                                       java.lang.String gatwaySenderId)
                                                                throws java.lang.Exception

      Utility Method to obtain GatewaySenderMXBean proxy reference for a particular sender id on a member
      Parameters:
        `member` - distributed member
        `gatwaySenderId` - sender id
      Returns:
        a reference to GatewaySenderMXBean
      Throws:
        `java.lang.Exception`

    - #### getAsyncEventQueueMBeanProxy

          public static AsyncEventQueueMXBean getAsyncEventQueueMBeanProxy(DistributedMember member,
                                                                           java.lang.String queueId)
                                                                    throws java.lang.Exception

      Utility Method to obtain AsyncEventQueueMXBean proxy reference for a particular queue id on a member
      Parameters:
        `member` - distributed member
        `queueId` - Queue id
      Returns:
        a reference to AsyncEventQueueMXBean
      Throws:
        `java.lang.Exception`

    - #### getGatewayReceiverMbeanProxy

          public static GatewayReceiverMXBean getGatewayReceiverMbeanProxy(DistributedMember member)
                                                                    throws java.lang.Exception

      Utility Method to obtain GatewayReceiverMXBean proxy reference for a member
      Parameters:
        `member` - distributed member
      Returns:
        a reference to GatewayReceiverMXBean
      Throws:
        `java.lang.Exception`

    - #### getDistributedRegionMbean

          public static DistributedRegionMXBean getDistributedRegionMbean(java.lang.String regionName,
                                                                          int expectedMembers)
                                                                   throws java.lang.Exception

      Utility Method to obtain DistributedRegionMXBean proxy reference for a particular region
      Parameters:
        `regionName` - name of the region
      Returns:
        a reference to DistributedRegionMXBean
      Throws:
        `java.lang.Exception`

    - #### getDistributedLockMbean

          public static DistributedLockServiceMXBean getDistributedLockMbean(java.lang.String lockServiceName,
                                                                             int expectedMembers)
                                                                      throws java.lang.Exception

      Utility Method to obtain DistributedRegionMXBean proxy reference for a particular region
      Parameters:
        `lockServiceName` - name of the lock service
      Returns:
        a reference to DistributedLockServiceMXBean
      Throws:
        `java.lang.Exception`

    - #### getLocatorMbeanProxy

          public static LocatorMXBean getLocatorMbeanProxy(DistributedMember member)
                                                    throws java.lang.Exception

      Utility Method to obtain GatewayReceiverMXBean proxy reference for a member
      Parameters:
        `member` - distributed member
      Returns:
        a reference to GatewayReceiverMXBean
      Throws:
        `java.lang.Exception`

    - #### printBeanDetails

          public static void printBeanDetails(javax.management.ObjectName objName)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`